about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index e046d6da..9b1035a8 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -339,6 +339,11 @@ handle_mime() {
             mediainfo "${FILE_PATH}" && exit 5
             exiftool "${FILE_PATH}" && exit 5
             exit 1;;
+            
+        ## ELF files (executables and shared objects)
+        application/x-executable | application/x-pie-executable | application/x-sharedlib)
+            readelf -WCa "${FILE_PATH}" && exit 5
+            exit 1;;
     esac
 }